<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:log="http://www.xoev.de/de/xgenerator/framework/1/log" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xgen="http://www.xoev.de/de/xgenerator/framework/1/library" xmlns:xoev="urn:xoev-de:kosit:xoev:classic:transformation_4.1.0" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" version="3.0" exclude-result-prefixes="xsl xmi xgen xoev uml xd xs">

   <xsl:param name="transformation-name" as="xs:string" required="yes"/>

   <xsl:include href="xgenerator-library.xgen-core.xsl"/>
   <xsl:include href="xgenerator-library.uml-access-layer.xsl"/>
   <xsl:include href="xoev-profil.profile-access-layer.xsl"/>
   <xsl:include href="xoev-profil.helpers.xsl"/>
   <xsl:include href="osci-transport-profil.profile-access-layer.xsl"/>
   <xsl:include href="xoev-profil.schematron.helpers.xsl"/>
   <xsl:include href="xoev-profil.classic2lite.xsl"/>

   <xsl:output method="xml" indent="yes"/>

   <xsl:template match="/">
      <log:transformation-results transformation="{$transformation-name}">
         <xsl:apply-templates select="/" mode="xgen:assert-supported-uml-model"/>
         <xsl:apply-templates select="." mode="xoev:default"/>
      </log:transformation-results>
   </xsl:template>

</xsl:stylesheet>
