<?xml version="1.0" encoding="UTF-8"?>

<!-- Version 1.1.0 -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:log="http://www.xoev.de/de/xgenerator/framework/1/log" xmlns:xgen="http://www.xoev.de/de/xgenerator/framework/1/library" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:lite="urn:xoev-de:kosit:xoev:lite:transformation_1.1.0" version="2.0" exclude-result-prefixes="xsl lite">

  <!-- für Icons in der Eigenschaftentabelle eines Bausteins (baustein_eigenschaftentabelle.xsl) -->
  <xsl:param name="icon-directory" required="no" as="xs:anyURI" select="xs:anyURI(concat(substring-before(base-uri(), tokenize(base-uri(), '/')[last()]), '../docbookzubehoer/images/kosit/icons'))"/>

  <xsl:include href="xgenerator-library.xgen-core.xsl"/>
  <xsl:include href="xgenerator-library.uml-access-layer.xsl"/>
  <xsl:include href="helpers.lite.xsl"/>
  <xsl:include href="lite2adoc.uebersetzungsanweisungen.xsl"/>
  
  <!-- Einbindung von Transformationen aus lokalem xsl-Verzeichnis-->
  <xsl:include href="helpers.lite-dokumentation.xsl"/>
  <xsl:include href="xsd2svg.uebersetzungsanweisungen.xsl"/>
  <xsl:include href="lite2xsd.uebersetzungsanweisungen.xsl"/>
<!--  <xsl:include href="lite2xsd.uebersetzungsanweisungen.main.xsl"/>-->

  <xsl:template match="/">
    <log:transformation-results transformation="{$transformation-name}">
      <xsl:apply-templates select="." mode="lite:default-lite2adoc"/>
    </log:transformation-results>
  </xsl:template>

</xsl:stylesheet>
